Bug 440475 - ipa_webgui does not start after initial installation
ipa_webgui does not start after initial installation
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 453489
  Show dependency treegraph
 
Reported: 2008-04-03 14:02 EDT by Rob Crittenden
Modified: 2015-01-04 18:31 EST (History)
3 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
move ipa.conf creation earlier in installation (1.56 KB, patch)
2008-04-03 15:26 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-04-03 14:02:36 EDT
After installation ipa_webgui does not start. It errors out with this in
/var/log/ipaerror.log:

ERROR:root:failed to start web gui: IPA server not found in DNS, in the config
file (/etc/ipa/ipa.conf) or on the command line.
  File "/usr/sbin/ipa_webgui", line 178, in <module>
    main()

  File "/usr/sbin/ipa_webgui", line 173, in main
    from ipagui.controllers import Root

  File "/usr/share/ipa/ipagui/controllers.py", line 34, in <module>
    from subcontrollers.user import UserController

  File "/usr/share/ipa/ipagui/subcontrollers/user.py", line 32, in <module>
    from ipacontroller import IPAController

  File "/usr/share/ipa/ipagui/subcontrollers/ipacontroller.py", line 35, in <module>
    ipa.config.init_config()

  File "/usr/lib/python2.5/site-packages/ipa/config.py", line 151, in init_config
    raise IPAConfigError("IPA server not found in DNS, in the config file
(/etc/ipa/ipa.conf) or on the command line.")

I wonder if this is a timing issue, that we aren't writing /etc/ipa/ipa.conf
until after we start the UI.
Comment 1 Rob Crittenden 2008-04-03 15:26:24 EDT
Created attachment 300316 [details]
move ipa.conf creation earlier in installation
Comment 2 Rob Crittenden 2008-04-03 17:36:25 EDT
committed as changeset 769
Comment 4 Jenny Galipeau 2008-11-25 11:26:52 EST
fix verified:

ipa_webgui running directly after installation.

[root@jennyv4 log]# ps -ef | grep ipa
root     12238     1  0 01:18 ?        00:00:00 ipa_kpasswd
apache   12365     1  0 01:19 ?        00:00:01 /usr/bin/python -E /usr/sbin/ipa_webgui

Note You need to log in before you can comment on or make changes to this bug.